AbstractSAML1ProfileHandlerBeanDefinitionParser (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.saml1
Class AbstractSAML1ProfileHandlerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
                  edu.internet2.middleware.shibboleth.common.config.profile.AbstractShibbolethProfileHandlerBeanDefinitionParser
                      edu.internet2.middleware.shibboleth.idp.config.profile.AbstractSAMLProfileHandlerBeanDefinitionParser
                          edu.internet2.middleware.shibboleth.idp.config.profile.saml1.AbstractSAML1ProfileHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

Direct Known Subclasses:
  SAML1ArtifactResolutionProfileHanderBeanDefinitionParser, ShibbolethSSOProfileHandlerBeanDefinitionParser

    public abstract class AbstractSAML1ProfileHandlerBeanDefinitionParser

extends AbstractSAMLProfileHandlerBeanDefinitionParser

Base class for SAML 1 profile handler configuration parsers.

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`AbstractSAML1ProfileHandlerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, BeanDefinitionBuilder builder)`

Methods inherited from class edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
`getRequestPaths, shouldGenerateId`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSAML1ProfileHandlerBeanDefinitionParser

    public AbstractSAML1ProfileHandlerBeanDefinitionParser()

Method Detail

### doParse

    protected void doParse(Element config,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractSAMLProfileHandlerBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.